/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for RadiopharmaceuticalAdministrationPatientCharacteristicsTemplates
 */
public enum EnumCM_RadiopharmaceuticalAdministrationPatientCharacteristicsTemplates {

	
	PATIENTCHARACTERISTICS("PatientCharacteristics"),
	PATIENTSTATE("Patientstate"),
	SUBJECTAGE("SubjectAge"),
	SUBJECTSEX("SubjectSex"),
	PATIENTHEIGHT("PatientHeight"),
	PATIENTWEIGHT("PatientWeight"),
	BODYSURFACE_AREA("BodySurface Area"),
	BODYSURFACE_AREA_FORMULA("BodySurface Area Formula"),
	BODYMASS_INDEX("BodyMass Index"),
	EQUATION("Equation"),
	GLUCOSE("Glucose"),
	FASTINGDURATION("FastingDuration"),
	HYDRATION_VOLUME("Hydration Volume"),
	RECENTPHYSICAL_ACTIVITY("RecentPhysical Activity"),
	SERUMCREATININE("SerumCreatinine"),
	GLOMERULAR_FILTRATION_RATE("Glomerular Filtration Rate"),
	MEASUREMENT_METHOD("Measurement Method"),
	EQUIVALENT_MEANING_OFCONCEPT_NAME("Equivalent meaning ofconcept name"),
	;
	private String value;
	
	EnumCM_RadiopharmaceuticalAdministrationPatientCharacteristicsTemplates(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}



